.layout {
    &__content {
        max-width: 900px;
        width: 100%;
        box-sizing: border-box;
        padding: 66px 0;

        @media only screen and (max-width: 1200px) {
            padding: 48px 0;
        }

        @media only screen and (max-width: 900px) {
            padding: 0 24px 24px;
        }

        &--loaded {
            & > * {
                animation: fade-in .3s forwards;
            }
        }

        &--loading {
            & > * {
                animation: fade-in .3s forwards;
            }
        }
    }

    &__container {
        display: grid;
        grid-template-columns: 350px auto;
        grid-gap: 80px;
        padding: 0 80px;

        box-sizing: border-box;
        overflow-y: overlay;
        width: 100vw;
        height: 100vh;

        &::-webkit-scrollbar {
            width: 0px;
        }

        @media only screen and (max-width: 1200px) {
            grid-template-columns: 62px auto;
            padding: 0 24px 0 0;
            grid-gap: 24px;
        }

        @media only screen and (max-width: 900px) {
            grid-template-rows: 72px auto;
            grid-template-columns: auto;
            padding: 0;
        }

        .loader__container{
            position: absolute;
            bottom: 54px;
            left: 498px;

            @media only screen and (max-width: 1200px) {
                left: 78px;
                bottom: 24px;
            }
    
            @media only screen and (max-width: 900px) {
                left: 24px;
                bottom: 24px;
            }
        }
    }

    &__header {
        height: calc(100vh - 132px);
        width: 350px;
        position: sticky;
        top: 66px;
        z-index: 10;

        @media only screen and (max-width: 1200px) {
            width: 100%;
            height: 100vh;
            top: 0;
        }

        @media only screen and (max-width: 900px) {
            height: 72px;
            width: 100vw;
            z-index: 100;
        }
    }

    @keyframes fade-in {
        from { opacity: 0; }
        to { opacity: 1; }
    }
}